import { IDeleteProps as ICoreDeleteProps } from "@reactionable/core/lib/crud/delete/Delete";
import { PropsWithChildren, ReactElement, ReactNode } from "react";
import { IIconProps } from "../../icon/Icon";
export interface IDeleteProps<Data = unknown> extends ICoreDeleteProps<Data> {
    label?: ReactNode;
    icon?: IIconProps;
}
export declare function Delete<Data = unknown>({ label, icon, ...props }: PropsWithChildren<IDeleteProps<Data>>): ReactElement;
