import { IFormData, IFormValues } from "@reactionable/core/lib/form/Form";
import { IModalFormProps as ICoreModalFormProps } from "@reactionable/core/lib/ui/modal/ModalForm";
import { ReactElement } from "react";
import { IFormButtonProps } from "../form/FormButton";
export declare type IModalFormProps<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps> = ICoreModalFormProps<Values, Data, FormButtonProps>;
export declare function ModalForm<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps>({ children, submitButton, cancelButton, ...props }: IModalFormProps<Values, Data, FormButtonProps>): ReactElement;
